/*   "RSS Example Code"
 Orginally written by Mshorter from processing.org's forum
 Adapted by John Park for ARTD252 examples
 1/25/10
 */


import processing.xml.*;
// Array to store titles (see Arrays in Processing Reference)
String[] titles;
float nytLength;

PFont font;
void setup() {
  size (800, 450);
  background(0);
  noStroke();
  background(255);
  fill(255,0,0);


  // Setup font
  font = loadFont("Serif-20.vlw");
  textFont(font, 20);

  // !!! CHANGE RSS FEED BELOW !!!
  String url = "http://feeds.nytimes.com/nyt/rss/Technology";
  XMLElement rss = new XMLElement(this, url);
  // Get title of each element
  XMLElement[] titleXMLElements = rss.getChildren("channel/item/title");
  nytLength = titleXMLElements.length;
  titles = new String[titleXMLElements.length];
  for (int i = 0; i < titleXMLElements.length; i++) {
    String title = titleXMLElements[i].getContent();
    // Store title in array for later use
    titles[i] = title;
  } 
}
void draw() {

  // !!! CHANGE RSS FEED BELOW !!!
  String url = "http://feeds.nytimes.com/nyt/rss/Technology";
  XMLElement rss = new XMLElement(this, url);
  // Get title of each element
  XMLElement[] titleXMLElements = rss.getChildren("channel/item/title");
  titles = new String[titleXMLElements.length];
  for (int i = 0; i < titleXMLElements.length; i++) {
    String title = titleXMLElements[i].getContent();
    // Store title in array for later use
    titles[i] = title;
  }  
}

// The below function executes after a mouse is pressed
void mousePressed(){
  fill(0, mouseY);
  text(titles[int(random(0,nytLength))], mouseX, mouseY);
}


